Subject: RE: SUGGESTED ARQ TEXT Advice for Internet Subnetwork Designers I D

From: "Gary Kenward" <[email-masked]>
Date: Thu, 5 Jul 2001 17:08:34 -0400

> -----Original Message-----
> From: Phil Karn [mailto:[email-masked]]
> Sent: Thursday, July 05, 2001 4:39 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: SUGGESTED ARQ TEXT Advice for Internet 
> Subnetwork Designers
> I D
> 
> 
> >Error control is the process of introducing redundancy into the
> >information stream to compensate for likelihood that pieces of the
> >information will be lost across a noisy channel. "Redundancy" is an
> >indirect method of increasing the energy used to transmit the given
> >piece of information over a given channel, and thus to increase the
> >received signal to noise ratio and reduce the probability of error
> >(Shannon's law).
> 
> Actually, this second sentence is not quite true. When the redundancy
> is carefully designed, it can actually let you *reduce* the total
> energy needed to transmit each user bit with the same or lower
> probability of error. For example, the standard rate 1/2 k=7
> convolutional code with Viterbi decoding lets you decrease the energy
> per channel symbol by 8-9 dB, depending on the desired error rate.

I was trying to keep things simple. Shannon's law still applies.
In your example you have twice as many symbols, which accounts for 
3dB of the gain. The Viterbi decoding actually permits more intelligent 
use of the signal energy (most detectors/decoders are a tradeoff between
the complexity of the algorithm and the amount of information used - in
other words, most detectors/decoders do not use all of the signal energy
to make a decision). Viterbi does this by using a series of received signals
to make a single symbol.

> 
> Since the code doubles the number of channel symbols (that's what
> "rate 1/2" means), you're still ahead by 5-6 dB in the energy you've
> invested in each user data bit, even counting the overhead.
> 
> Shannon simply sets theoretical bounds on how well you can possibly do
> with any coding and modulation scheme, including both FEC and ARQ. It
> does not say anything about how well any particular scheme will
> actually work.

Well, actually it does, but you would have to have very complete knowledge 
of the transmitted signal (which you usually do), the noise (which
in real systems is very hard to do), and the channel distortion 
(which in some cases, such as a multipath environment, is impossible).
So-called "implementation" losses are usually the result of approximations
to deal with 
the unknowns (assuming a good design).
 
> 
> This is probably too much detail for the LINK draft. I think it's
> sufficient to say that both ARQ and FEC work by adding redundancy to
> the transmitted information, that they differ in whether the
> redundancy is sent in advance or on request, and ARQ (and to a lesser
> extent, FEC) have delay characteristics that can affect the behaviour
> of TCP and other higher layer protocol.

Oh, for sure. I was simply adding to the support for the use of the word
"redundancy" when applied to ARQ. I probably confused things somewhat by
bringing "energy" into the equation, but it seemed like a good argument
to make. 

Gary
> Phil

---

From: Phil Karn <[email-masked]>
Date: Thu, 5 Jul 2001 13:38:34 -0700 (PDT)

extent, FEC) have delay characteristics that can affect the behavior

Phil